@import 'assets/variables.scss';

.chip {
  cursor: pointer;
  margin: $cell 0 $cell $cell * 2;
  width: fit-content;
  white-space: nowrap;
  border-radius: 30px;
  padding: $cell $cell * 2;
  background-color: white;
  border: 1px solid $soft-grey;
  box-sizing: border-box;

  &:hover {
    border: 1px solid $dark-grey;
  }
}

.chipActive {
  background-color: $almost-white;
  border: 1px solid $dark-grey;
  box-shadow: 0px 0px 0px 1px $dark-grey;

  &:hover {
    box-shadow: 0px 0px 0px 1px $dark-grey;
  }
}

.popup {
  padding: $cell * 3 !important;

  .inner {
    position: relative;
    min-width: 200px;
    min-height: 200px;
  }
}

.bottomWrap {
  position: absolute;
  bottom: 0;
  width: 100%;
}

.saveAndClear {
  display: flex;
  width: 100%;
  justify-content: space-between;
  align-items: center;

  .save {
    padding: $cell $cell * 2 !important;
  }

  .clear {
    cursor: pointer;
    color: $somewhat-grey;
    text-decoration: underline;
  }

  .disabled {
    color: $soft-grey;
    cursor: not-allowed;
  }
}